#!/bin/bash
#
#
#   Make 3D close-fitting particle shape maske by Spider TH M
#   Use IP FT to resize the data for increasing speed
#
#   usage: SPRET-3D-mask_creat_v2.com [input_mrc/spi_no_ext] [output_mrc/spi_no_ext] [threshold] [pix expand from orig 3D surface]
#
#   Xiaobo Zhai @ REN Lab, LBNL, Feb 24 2016
#   Xiaobo Zhai @ REN Lab, LBNL, Thu Oct 13 16:55:35 PDT 2016

#
#
#---------------------------------------------------------------------------------------------
if [ $# != 4 ]; then
  echo "Create a 3D soft mask from the low resolution 3D reconstruction. "
  echo "usage: SPRET-3D-mask_creat_v2.com [Input_mrc/spi_no_ext] [Threshold] [Expanding pix (first layer)] [Step of each layers]"
  echo "such as: SPRET-3D-mask_creat_v2.com IPET3D_par01 0.15 8 2"
else
rm $2.dat
input=$1
output=${1}mask
thr=$2
minr=$3
binn=2
stp=$4
#
spider_new dat << xb
CP FROM MRC
  ${1}.mrc
  $1
  n,n
;
TH M
  $1
  zzth
  b
  $thr
;
FI [size]
  $1
  1
;
[ns]=[size]/${binn}
IP FT
  zzth
  zzths
  [ns],[ns],[ns]
TH M
  zzths
  _1
  b
  0.5
;
DO lb1 [xlb1]=1,6
; every step of mask is expanded 2 pixels
  [temra]=${minr}+${stp}*([xlb1]-1)
  [ra]=int([temra]/${binn})
;
  DI NF
    _1
    _2
    b
    [ra]
    1
;
  IP FT
    _2
    _3
    [size],[size],[size]
  TH M
    _3
    maskthexp{**[xlb1]}
    b
    0.8
lb1
;
ADD
  maskthexp01
  maskthexp02
  zzthexpadd
  maskthexp03
  maskthexp04
  maskthexp05
  maskthexp06
  *
;
AR
  zzthexpadd
  zzthexpaddar
  P1/6
;
;low pass 3 pixels
FQ
  zzthexpaddar
  zzthexpaddarlp
  3 
  0.3
;
TH F
  zzthexpaddarlp
  $output
  A
  0.9
  1
;
en d
xb
proc3d ${output}.dat ${output}.mrc apix=${apix}
rm results.dat* zz*
fi
