#!/bin/csh
#
#
#   Multiplies two Spider volumes by Spider MU 
#
#   usage: SPRET-3D_mu.com [input1_3D_no_ext] [input2_3D_no_ext] [output_3D_no_ext]
#
#      where:
#
#          [input1_3D_no_ext]: the first input 3D volume in Spider format without extension (.dat)
#
#          [input2_3D_no_ext]: the second input 3D volume in Spider format without extension (.dat)
#
#          [output_3D_no_ext]: the output 3Dvolume in Spider format without extension, equal to input1 multiplies input2.
#
#
#   Lei Zhang @ REN Lab, UCSF, Wed Feb 13 15:39:04 PST 2009
#
#
#---------------------------------------------------------------------------------------------------------
if ($#argv != 3) then
  echo "Multiplies two Spider volumes by Spider MU. "
  echo "usage: SPRET-3D_mu.com [input1_3D_no_ext] [input2_3D_no_ext] [output_3D_no_ext]"
  echo "such as: SPRET-3D_mu.com abc1 abc2 abcmu"
  exit
endif
#
#
set input1=$1
set input2=$2
set output=$3
#
#
spider dat << zl
mu
${input1}
${input2}
${output}
*
en d
zl
#
#
rm LOG.dat
