#!/bin/csh
#
#
#   Lei Zhang @ REN Lab, UCSF, Jul 15 PST 2009.
#
#   usage: SPRET-create_mask.com [output_mask_file_no_ext] [img_size(pix)] [mask_radius(pix)] [apix] [filter_radius(A)]
#
#      where:
#
#          [output_mask_file_no_ext]: output mask file in Spider format without extension .dat.
#
#          [img_size(pix)]          : the output file's size in the unit of pixel.
#
#          [mask_radius(pix)]       : the radius of mask.
#
#          [apix]                   : A/pix.
#
#          [filter_radius(A)]       : the radius of Spider "fq" operation in the unit of A.
#

#
#
#
#   Spider MA to create a image
#
# fq(pix_unit)=fq(frequency)*N=apix*N/fq(A); where N is the size of the 3D and can be read by Spider "FI".
#
#
#---------------------------------------------------------------------------------------------------------------------------
if ($#argv != 5) then
  echo "Spider MA to create a mask image with Gaussian edge"
  echo "usage: SPRET-create_mask.com [output_mask_file_no_ext] [img_size(pix)] [mask_radius(pix)] [apix] [filter_radius(A)]"
  echo "such as: SPRET-create_mask.com mask 128 50 1 100"
  exit
endif
#
set output=$1
set imgsize=$2
set masksize=$3
set apix=$4
set FRA=$5
#
#
spider dat << eot
;
[size]=${imgsize}
[radius]=${masksize}
[filter_radius1]=${FRA}
[apix]=${apix}
[filter_radius]=[apix]*[size]/[filter_radius1]
mo
  ppkkpp
  [size],[size]
  c
  [radius]
fq
  ppkkpp
  ${output}
  3
  [filter_radius]  
en d
eot
#
rm ppkkpp*.dat LOG.dat
