#!/bin/csh
#
#
#   Generate select file for reconstruction, which means the images only in the select file contribute to the reconstruction.
#
#   usage: SPRET-create_select.com [output_no_ext] [selection]
#
#      where:
#
#          [output_no_ext]: output selection file's name without extension.
#
#          [selection]:     selection, e.g 1-2,3-15,9-16
#
#	Lei Zhang @ REN Lab, UCSF, Wed Feb  4 11:41:11 PST 2009

#
if ($#argv != 2) then
  echo "Generate select file for reconstruction"
  echo "usage: SPRET-create_select.com [output_no_ext] [selection]"
  echo "such as: SPRET-create_select.com myselect 1-2,3-15,9-16"
  exit
endif
set output=$1
set selection=$2
#
spider dat << zl
de
  ${output}
;
doc create
  ${output}
  1
  ${selection}
en d
zl
rm LOG.dat
