#!/bin/csh
#
#
#   To unstack the mrc files from Tomo data.
#
#   usage: SPRET-unstack_all.com [Stack_file_mrc] [output_file_prefix]
#
#      where:
#
#          [Stack_file_mrc]:  the input MRC format stack with the extension .mrc.
#       
#          [output_file_mrc]: the output MRC format stack with the extension .mrc.
#
#
#     EMAN & spider & IMOD are needed in this program.
#
#     Lei Zhang @ REN LAB, UCSF, Mon Feb  2 10:53:58 PST 2009
#     Lei Zhang Updated May 23 2010 @ Xi'an.
#     
#
# alias MATH 'set \!:1 = `echo "\!:3-$" | bc -l`'
#
#-----------------------------------------------------------------------------------
if ($#argv != 2) then
  echo "usage: SPRET-unstack_all.com [Stack_file_mrc] [output_file_prefix]"
  echo "such as: SPRET-unstack_all.com tomoCTF-00.mrc tomoCTF-00_"
  exit
endif
# MATH halfsize = $6 / 2
#
set input=$1
set output=$2

set nums=`header -size ${input} | awk '{print $3}'`
set imgsize=`header -size ${input} | awk '{print $1}'`
#
spider dat << zl

[size]=${imgsize}
[Nums]=${nums}
;
do lb1 [xlb1]=1,[Nums]
vm
trimvol -z {****[xlb1]},{****[xlb1]} ${input} ${output}{****[xlb1]}.mrc
vm
proc2d ${output}{****[xlb1]}.mrc ${output}{****[xlb1]}.mrc mrc
;
lb1
en d
zl
rm LOG.dat
